DecodeTreeElement Class Reference
OpenCSD Library : Trace Decode Tree.

Decode tree element. More...

`#include <ocsd_dcd_tree_elem.h>`

Inheritance diagram for DecodeTreeElement:
[legend]
Collaboration diagram for DecodeTreeElement:
[legend]

## Public Member Functions

| DecodeTreeElement ()
| ~DecodeTreeElement ()
void | SetDecoderElement (const std::string &name, IDecoderMngr *dcdMngr, TraceComponent *pHandle, bool bCreated)
void | DestroyElem ()
const std::string & | getDecoderTypeName ()
IDecoderMngr * | getDecoderMngr ()
ocsd_trace_protocol_t | getProtocol () const
TraceComponent * | getDecoderHandle ()

## Additional Inherited Members

Protected Attributes inherited from _decoder_elements
std::string | dcd_name
| Registered name of the decoder. More...
TraceComponent * | dcd_handle
| handle to the decoder object More...
IDecoderMngr * | dcd_mngr
| pointer to the decoder manager interface for the decodcer More...
ocsd_trace_protocol_t | protocol
| protocol type More...
bool | created

## Detailed Description

Decode tree element.

Decoder tree elements are references to individual decoders in the tree. These allow iteration of all decoders in the tree to perform common operations.

The DecodeTree contains a list of elements.

Definition at line 68 of file ocsd_dcd_tree_elem.h.

## Constructor & Destructor Documentation

## ~DecodeTreeElement()

DecodeTreeElement::~DecodeTreeElement | ( |  | ) |

inline

Definition at line 72 of file ocsd_dcd_tree_elem.h.

## Member Function Documentation

## getDecoderHandle()

TraceComponent* DecodeTreeElement::getDecoderHandle | ( |  | ) |

inline

Definition at line 80 of file ocsd_dcd_tree_elem.h.

## getDecoderMngr()

IDecoderMngr* DecodeTreeElement::getDecoderMngr | ( |  | ) |

inline

Definition at line 78 of file ocsd_dcd_tree_elem.h.

## getDecoderTypeName()

const std::string& DecodeTreeElement::getDecoderTypeName | ( |  | ) |

inline

Definition at line 77 of file ocsd_dcd_tree_elem.h.

## getProtocol()

ocsd_trace_protocol_t DecodeTreeElement::getProtocol | ( |  | ) | const

inline

Definition at line 79 of file ocsd_dcd_tree_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/common/ocsd_dcd_tree_elem.h